--***********************************************
--VISTA CONYUGE DEL COOOBLIGADO VM_C_CONYUGE_COOBLIGADO_PF
--***********************************************

SELECT
CON.FOLIO_UNICO,
--DATOS PERSONALES COOBLIGADO
COO.ID COOBLIGADO_ID,
CYG.ID CONYUGE_ID,
SBC.ID SUJETO_BASE_CYG_ID,
SBC.NOMBRE NOMBRE, 
SBC.APELLIDO_PATERNO PATERNO,
SBC.APELLIDO_MATERNO MATERNO,
SBC.FECHA_NACIMIENTO NACIMIENTO,
'NO EXISTE' REFERENCIA_TELEFONICA,
'NO EXISTE' TELEFONO,
'NO EXISTE' EXTENSION,
--LABORAL CONYUGE
OCP.NOMBRE OCUPACION,
PUE.ID PUESTO_ID,
PUE.NOMBRE PUESTO,
'NO EXISTE' INGRESO_NETO,
'NO EXISTE' EMPRESA

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FIS_COO AFC ON (AFC.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGCOOBLIGADOS COO ON (COO.ID = AFC.COOBLIGADO_ID)
LEFT OUTER JOIN SMAFB.SGCONYUGES CYG ON (CYG.ID = ATF.CONYUGE_ID)  --INFORMACION DE CONYUGE ******************
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SBC ON (SBC.ID = CYG.SUJETO_BASE_ID)
LEFT OUTER JOIN SMAFB.SGSEXOS SEC ON (SEC.IDINT = CYG.SEXO_ID)
LEFT OUTER JOIN SMAFB.SGOCUPACIONES_PUESTOS OPU ON (OPU.ID = CYG.OCUPACION_PUESTO_ID)
LEFT OUTER JOIN SMAFB.SGOCUPACIONES OCP ON (OCP.ID  = OPU.OCUPACION_ID)
LEFT OUTER JOIN SMAFB.SGPUESTOS PUE ON (PUE.ID = OPU.PUESTO_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;